Deprecated. Creates a new embedded wallet for a user given an email or userId (V2/Turnkey only). If an email is provided and it is not associated with an existing user this call will also create a new user.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/embeddedWallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"type": "email",
"chains": [
"EVM"
],
"chain": "EVM",
"socialProvider": "emailOnly"
}
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Pregenerate embedded wallet for a user email request
Identifier for the user. Must be either an email, phone number, user id, external user id, or username from a supported social provider
email, id, externalUserId, phoneNumber, socialUsername, socialAccountId The chains to create the wallet for
EVM, SOL, SUI, BTC, TON EVM, SOL, SUI, BTC, TON Show child attributes
The 'turnkey' value is deprecated and will be removed in a future version.
emailOnly, magicLink, apple, bitbucket, coinbasesocial, discord, epicgames, facebook, farcaster, github, gitlab, google, instagram, linkedin, microsoft, twitch, twitter, blocto, banxa, coinbaseOnramp, cryptoDotCom, dynamic, alchemy, zerodev, telegram, turnkey, coinbaseWaas, sms, spotify, tiktok, line, steam, shopify, zksync, kraken, blockaid, passkey, okta, sendgrid, resend Wallet already exists for the user
Show child attributes
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/embeddedWallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"type": "email",
"chains": [
"EVM"
],
"chain": "EVM",
"socialProvider": "emailOnly"
}
'{}